edu.northwestern.at.morphadorner

## Class WordAttributeNames

- java.lang.Object
- - edu.northwestern.at.morphadorner.WordAttributeNames

-     public class WordAttributeNames
      extends java.lang.Object

  MorphAdorner attribute names.

  This class provides the default names for part of speech attributes in adorned files. The attributes have both long names and short names. The short names are the same as the default value for the attribute name. For example, the long attribute name for a lemma is "lemma", but the short name is "lem", which is also the default attribute value name.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `eos`
    `static java.lang.String` | `eosFlag` End of sentence flag attribute.
    `static java.lang.String` | `id` ----- Short names.
    `static java.lang.String` | `kl`
    `static java.lang.String` | `kr`
    `static java.lang.String` | `label` Label.
    `static java.lang.String` | `leftKWIC` Left KWIC index attribute.
    `static java.lang.String` | `lem`
    `static java.lang.String` | `lemma` Lemma attribute.
    `static java.lang.String` | `n`
    `static java.lang.String` | `ord`
    `static java.lang.String` | `originalToken` Original token attribute.
    `static java.lang.String` | `p`
    `static java.lang.String` | `part` Part number.
    `static java.lang.String` | `partOfSpeech` Part of speech tag attribute.
    `static java.lang.String` | `path` Path attribute.
    `static java.lang.String` | `pos`
    `static java.lang.String` | `reg`
    `static java.lang.String` | `rend` Rend.
    `static java.lang.String` | `rightKWIC` Right KWIC index attribute.
    `static java.lang.String` | `sentenceNumber` Sentence number attribute.
    `static java.lang.String` | `sn`
    `static java.lang.String` | `spe`
    `static java.lang.String` | `spelling` Spelling attribute.
    `static java.lang.String` | `standardSpelling` Standard spelling attribute.
    `static java.lang.String` | `teiLem`
    `static java.lang.String` | `teiLemma` TEI P5 lemma attribute.
    `static java.lang.String` | `teiPartOfSpeech` TEI P5 part of speech tag attribute.
    `static java.lang.String` | `teiPos`
    `static java.lang.String` | `tok`
    `static java.lang.String` | `type` Tyoe.
    `static java.lang.String` | `unit` Unit.
    `static java.lang.String` | `wn`
    `static java.lang.String` | `wordID` Word ID attribute.
    `static java.lang.String` | `wordNumber` Word number attribute.
    `static java.lang.String` | `wordOrdinal` Word ordinal attribute.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WordAttributeNames()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wordID

          public static java.lang.String wordID

      Word ID attribute. This should not be changed.

    - #### sentenceNumber

          public static java.lang.String sentenceNumber

      Sentence number attribute.

    - #### wordNumber

          public static java.lang.String wordNumber

      Word number attribute.

    - #### spelling

          public static java.lang.String spelling

      Spelling attribute.

    - #### originalToken

          public static java.lang.String originalToken

      Original token attribute.

    - #### partOfSpeech

          public static java.lang.String partOfSpeech

      Part of speech tag attribute.

    - #### teiPartOfSpeech

          public static java.lang.String teiPartOfSpeech

      TEI P5 part of speech tag attribute.

    - #### lemma

          public static java.lang.String lemma

      Lemma attribute.

    - #### teiLemma

          public static java.lang.String teiLemma

      TEI P5 lemma attribute.

    - #### standardSpelling

          public static java.lang.String standardSpelling

      Standard spelling attribute.

    - #### leftKWIC

          public static java.lang.String leftKWIC

      Left KWIC index attribute.

    - #### rightKWIC

          public static java.lang.String rightKWIC

      Right KWIC index attribute.

    - #### eosFlag

          public static java.lang.String eosFlag

      End of sentence flag attribute.

    - #### wordOrdinal

          public static java.lang.String wordOrdinal

      Word ordinal attribute.

    - #### path

          public static java.lang.String path

      Path attribute.

    - #### label

          public static java.lang.String label

      Label.

    - #### part

          public static java.lang.String part

      Part number. This should not be changed.

    - #### unit

          public static java.lang.String unit

      Unit.

    - #### rend

          public static java.lang.String rend

      Rend.

    - #### type

          public static java.lang.String type

      Tyoe.

    - #### id

          public static java.lang.String id

      ----- Short names. -----

    - #### sn

          public static java.lang.String sn

    - #### wn

          public static java.lang.String wn

    - #### spe

          public static java.lang.String spe

    - #### tok

          public static java.lang.String tok

    - #### pos

          public static java.lang.String pos

    - #### teiPos

          public static java.lang.String teiPos

    - #### lem

          public static java.lang.String lem

    - #### teiLem

          public static java.lang.String teiLem

    - #### reg

          public static java.lang.String reg

    - #### kl

          public static java.lang.String kl

    - #### kr

          public static java.lang.String kr

    - #### eos

          public static java.lang.String eos

    - #### ord

          public static java.lang.String ord

    - #### p

          public static java.lang.String p

    - #### n

          public static java.lang.String n

  - ### Constructor Detail

    - #### WordAttributeNames

          public WordAttributeNames()